CC = gcc
AS = as
LD = ld
ASFLAGS  = -gstabs -g
CFLAGS  = -g -ansi -pedantic -Wall
LDFLAGS = -no-pie
LDLIBS  =

PROGRAM = shortest_distance
OBJECTS = $(PROGRAM).o main.o




.PHONY: clean beauty

$(PROGRAM): $(OBJECTS)

clean:
	rm -f *.o 
	rm -f $(PROGRAM)
	rm -f *~

beauty:
	indent *.c
	rm -f *~
